<?php

namespace App\Generated\V1\Messages\ReportLog;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class FeedLogMessage extends Message
{
    use ValueHelper;

    protected $partnerId;
    protected $uid;
    protected $data;

    /**
     * @return int
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }

    /**
     * @return int
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     * @return null
     */
    public function getData()
    {
        return $this->data;
    }

    public function requestRules()
    {
        return [
            ['partnerId', 'partner_id', 'bail|integer', Constants::INTEGER, null],
            ['uid', 'uid', 'bail|integer', Constants::INTEGER, null],
            ['data', 'data', 'bail', null, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
